Function
write
Saves records to a file.
int write(file, fragStore, tag)
write(file, graph, nodeMap, edgeMap, tag)
write(file, graph, nodeMap, tag)
write(file, graph, tag)
write(file, memPtr, count)
Include Headers
seqan/file.h, seqan/graph_types.h, seqan/store.h
Parameters

tag | A tag to select the output format. Types: Amos message file, DotDrawing, Sam
fragStore | A fragment store. Types: FragmentStore
graph | The graph to write out. Types: Graph
nodeMap | A mapping from vertex descriptor to vertex label.
edgeMap | A mapping from edge descriptor to edge label.
file | A File object. Types: File
memPtr | A pointer to the first source record in memory.
count | The amount of records to be written.

Remarks
The records are written at the position pointed by the current file pointer (see seek).
Return Values
An int with the status code. 0 on success, non-0 on errors.
A bool which is true on success.
Member of
Graph, File
Example Programs
File Format I/O
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59